### More individuals or specialized niches? Distinguishing support for hypotheses explaining positive species-energy relationships
#### Grace Di Cecco, Sara Snell Taylor, Ethan White, & Allen Hurlbert

This repository contains figures and analyses exploring explanations for positive species-energy relationships in two North American breeding bird datasets, the Breeding Bird Survey (BBS) and the Breeding Bird Census (BBC).

Code to replicate manuscript analyses found in `/scripts`:
 - `bbc_landcover_diversity_H.R` calculates land cover diversity at BBC sites
 - `bbs_landcover_diversity_H.R` calculates land cover diversity at BBS sites
 - `site_maps.R` contains code to map sites included in the study in Figure 2
 - `foraging_null_mods.R` contains code for foraging guild null models testing the Niche Specialization Hypothesis
 - `/landcover_processing` contains scripts to process land cover data
    - Land cover, canopy height, and vegetation productivity (NDVI) at BBS and BBC sites
 - `ndvi_null_mod.R` contains code for the NDVI niche breadth null model testing the Niche Specialization Hypothesis
 - `script_BBC.R` contains code for the main analyses and figures with BBC data
 - `script_BBS.R` contains code for the main analyses and figures with BBS data




